@echo off
cls
echo *******************************************************
echo * CORSO                                               *
echo * Clustering Of Related Structured Objects            *
echo * Version: 1.0                                        *
echo *                                                     *
echo * LACAM Research Laboratory                           *
echo * Computer Science Department                         *
echo * University of Bary - Italy                          *
echo *                                                     *
echo * Main Authors: Donato Malerba  (malerba@di.uniba.it) *
echo *               Annalisa Appice (appice@di.uniba.it)  *
echo *               Antonio Varlaro (varlaro@di.uniba.it) *
echo *******************************************************
echo .
echo .

if "%1"=="" goto SYNTAX
if "%3"=="" goto PAR_MISSING
if "%4"=="" goto DEFAULT_FLAG

rem :: case of all arguments have been specified
set VFLAG=%1
set VIN=%2
set VTSD=%3
set VOUT=%4

goto LAUNCH

:DEFAULT_FLAG
rem :: case of only 3 arguments have been specified; the FLAG parameter is set to its default value
set VFLAG=false
set VIN=%1
set VTSD=%2
set VOUT=%3

:LAUNCH
rem :: ATRE RMI Server is going to be launched.
rem cd ATRE4j
start "ATRE RMI Server" call ./ATRE4j/ATRE4j.bat
rem cd ..

rem :: All needed information has been provided; CORSO is going to start.
echo .
echo System parameter setting:
echo -------------------------
echo FLAG: %VFLAG%
echo THRESHOLD: %VTSD%
echo INPUT FILE: %VIN%
echo OUTPUT FILE: %VOUT%
echo .

cd rgdbscan

java -Xmx256M -Djava.util.logging.config.file=logger-conf.properties -Dit.uniba.di.lacam.clustering.rgdbscan.gdbscan.impl.ReflexCardinality.addAllToATRE=%VFLAG% -cp rgdbscan.jar;lib\atre-rmi-server.jar;lib\dom4j-1.5.2.jar;lib\jaxen-core.jar;lib\jaxen-dom4j.jar;lib\saxpath.jar;res it.uniba.di.lacam.clustering.rgdbscan.gdbscan.impl.Sperimentation ../%VIN% %VTSD% ../%VOUT%

cd ..


goto END

:PAR_MISSING
rem :: One or more arguments are missing
echo ERROR: One or more arguments are missing!
echo .
echo .

:SYNTAX
rem :: Displaying the CORSO syntax
echo CORSO syntax:
echo .
echo corso - to show this help message
echo .
echo corso [FLAG] INPUT_FILE THRESHOLD OUTPUT_FILE
echo where: FLAG specifies whether the already clustered objects have to be
echo             be considered in the neighborhood detection (FLAG=true) or
echo             or not (FLAG=false); the default value is false
echo        INPUT_FILE is the XML file name (including extension) 
echo                   describing the input data
echo        THRESHOLD is a value in [0.0 .. 1.0] representing the 
echo                  homogeneity threshold to be used
echo        OUTPUT_FILE will be the XML file name (including extension) 
echo                    containing the results of clustering
echo .
echo Example: corso true dataset.xml 0.90 results.xml
goto END

:END
rem :: End of execution
echo End of execution.
echo .
echo .
pause
